Bug 182741 - Cursor move, but no actions after using the gnome desktop switching applet
Cursor move, but no actions after using the gnome desktop switching applet
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-24 08:32 EST by Nicolas Scheibling
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 11:53:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot after desktop switching (93.28 KB, image/png)
2006-02-24 08:32 EST, Nicolas Scheibling
no flags Details

  None (edit)
Description Nicolas Scheibling 2006-02-24 08:32:24 EST
Description of problem:
The problem happends one or two times a week (i use Fedora 10hours/day at work),
my laptop is halt every evening and restart each morning.
This bug appear from 2-3 month ago.

Version-Release number of selected component (if applicable):
gnome-applets-2.10.1-9
xorg-x11-6.8.2-37.FC4.49.2
gnome-desktop-2.10.0-5

How reproducible:
Use the gnome desktop switching applet, sometimes the cursor became the "move
cursor" and mouse cursor still move, but haven't any action on click.


Steps to Reproduce:
1.I'm on workspace 4
2.I click on the workspace 1 using the gnome desktop switching applet
3.
  
Actual results:
Most of time it works, but sometimes it switch and display the "move cursor"
without any more mouse action possible.
I can switch between the dialog of the window displayed with tab, i can execute
keyboard shortcuts actions, enter text, ...
ALT-TAB won't work, Alt-MidleMouse click won't resize the window, ...

Expected results:
Normal desktop switching, with mouse active, and the normal "Arrow cursor".

Additional info:
It's on my laptop i have an IBM trackpoint and a usb mouse, both of them haven't
any action on click.
Other application open:
firefox
oowriter
vnviewer
evolution
xterm
gnome-terminal

grep Protocol /etc/X11/xorg.conf 
Option      "Protocol" "IMPS/2"

You can see the screenshot attached, don't take care about the exact "move
cursor" icon, i grab one from the Internet and paste it from gimp to show you
the result.
Comment 1 Nicolas Scheibling 2006-02-24 08:32:24 EST
Created attachment 125175 [details]
Screenshot after desktop switching
Comment 2 Frank Arnold 2006-02-24 16:41:40 EST
Happend to me once, too. I can't recall the exact scenario, might be totally
unrelated. Pressing Alt+F7 or Alt+F8 turned the cursor back to normal (not sure
which one).
Comment 3 Christian Iseli 2007-01-19 19:43:47 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 Ray Strode [halfline] 2007-08-14 11:53:18 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)

Note You need to log in before you can comment on or make changes to this bug.